import React from "react";
import { Button, Layout, Menu } from "antd";
import {
  MenuUnfoldOutlined,
  MenuFoldOutlined,
  UserOutlined,
  VideoCameraOutlined,
  UploadOutlined,
  LeftCircleFilled,
} from "@ant-design/icons";
import "./home.css";
import ContentTabs from "./tabs";
import { HashRouter, Link, Redirect, Route, Switch } from "react-router-dom";
import { Console } from "console";

const { Header, Sider, Content } = Layout;

class Home extends React.Component {
  state = {
    collapsed: false,
  };

  toggle = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
    return;
  };

  render() {
    const props: any = this.props;
    const { match } = props;
    console.log("home");
    return (
      // var props:any = this.props;
      <HashRouter>
        <Layout className="site-layout">
          <Header className="header-layout" style={{ padding: 0 }}>
            <Menu theme="dark" mode="horizontal" defaultSelectedKeys={["1"]}>
              <Menu.Item key="1" icon={<UserOutlined />}>
                <Link to="/tab1">tab 1</Link>
              </Menu.Item>
              <Menu.Item key="2" icon={<VideoCameraOutlined />}>
                <Link to="/tab2">tab 2</Link>
              </Menu.Item>
              <Menu.Item key="3" icon={<UploadOutlined />}>
                <Link to="/info">nav 3</Link>
              </Menu.Item>
            </Menu>
          </Header>

          <Content className="content-layout">
            <Switch>
              {/* <Route exact path="/content" component={ContentTabs}></Route> */}
              <Route path="/">
                <Redirect from="/" to="/tab1">
                    ...{console.log("redirect tab1")}
                </Redirect>
                <Route path="/:id" component={ContentTabs}></Route>
              </Route>
              
            </Switch>
          </Content>
        </Layout>
      </HashRouter>
    );
  }
}

export default Home;
